Bug 216683 - assertion failures in mist theme engine
assertion failures in mist theme engine
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gtk2-engines (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 10:13 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 01:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-11-21 10:13:15 EST
Steps to reproduce:

1. Switch to the mist theme
2. Run system-config-display from a terminal
3. Switch tabs back and forth
4. See assertion failures
 ** (xconf.py:14545): CRITICAL **: mist_draw_border: assertion `shadow_type !=
GTK_SHADOW_NONE' failed

This has been reported upstream as http://bugzilla.gnome.org/show_bug.cgi?id=366716 
and a fix is available.
Comment 1 RHEL Product and Program Management 2006-11-21 10:20:47 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Matthias Clasen 2006-11-22 16:13:20 EST
Fixed in gtk2-engines-2.8.0-3.el5
Comment 3 Nicole Dai 2006-12-01 04:11:33 EST
Retested in gtk2-engines-2.8.0-2.el5 and the following error outputted when
switch tabs back and forth in system-config-display:
** (xconf.py:5286): CRITICAL **: mist_draw_border: assertion `shadow_type !=
GTK_SHADOW_NONE' failed

After upgrade to gtk2-engines-2.8.0-3.el5 no output printed out when switch tabs
back and forth in system-config-display. Verified the bug has been fixed.
Comment 4 Yan Tian 2006-12-11 01:39:32 EST
Verified gtk2-engines-2.8.0-3.el5 was in RHEL5-Client-20061207.0. Resolved it.

Note You need to log in before you can comment on or make changes to this bug.